## proftpd 1.2.4+1.2.5rc1-5

=== debian/changelog ===
proftpd (1.2.4+1.2.5rc1-5) unstable; urgency=high

  * Reworked postinst to handle configuration files better; allow the user
    to review the changes before committing them.  Thanks to Roland Mas
    for the help. (Closes: #143351)
  * Stop proftpd from prerm. (Closes: #143376)

 -- Ivo Timmermans <ivo@debian.org>  Mon, 22 Apr 2002 13:50:50 +0200

proftpd (1.2.4+1.2.5rc1-4) unstable; urgency=high

  * Configuring proftpd-ldap, proftpd-*sql with debconf was broken, now
    uses shared debconf templates.  This fixes a release critical bug
    nobody reported.
  * Properly mention that support for mysql or postgresql is included in
    proftpd-{my,pg}sql package descriptions.

 -- Ivo Timmermans <ivo@debian.org>  Wed, 17 Apr 2002 12:07:20 +0200

proftpd (1.2.4+1.2.5rc1-3) unstable; urgency=medium

  * Use CFLAGS when running configure.
  * Large file support (partially by Petr Cech, thank you).
    (Closes: #139325)
  * Fix typo in postinst. (Closes: #140498)
  * Correct == to = in init script. (Closes: #140896)
  * Apply fix for proftpd-ldap by Steve Langasek, which makes mod_unixpw
    use getpwnam if pwdfname isn't /etc/passwd. (Closes: #141275)
  * Fix crash of proftpd-*sql when user shell field is NULL.
    (Closes: #140141)
  * Updated debconf template for Brazilian Portugese. (Closes: #141690)

 -- Ivo Timmermans <ivo@debian.org>  Thu, 11 Apr 2002 19:25:53 +0200

proftpd (1.2.4+1.2.5rc1-2) unstable; urgency=low

  * Changelog entry for 1.2.4-2 got lost, readded.
  * Changed build dependency for postgresql-dev to 7.2 or higher.
  * Added build dependency on bzip2.
  * Patch, probably from Ignacy Gawedzki, to prevent server crash when
    using REST+GET on unaccessible source. (Closes: #136696)

 -- Ivo Timmermans <ivo@debian.org>  Mon,  4 Mar 2002 19:37:21 +0100

proftpd (1.2.4+1.2.5rc1-1) unstable; urgency=low

  * New upstream version. (Closes: #125829)
  * Switch to dbs.
  * Updated TLS patch. (Closes: #118804)
  * Fix ftpstats (see bugreport for details). (Closes: #133647)
  * Updated init.d script, use /etc/defaults.  Thanks to Marc Haber for
    the patch. (Closes: #120324, #128805)
  * Fixed a typo in postinst which might have caused problems when
    upgrading.
  * Renamed the English debconf template, added French translation.
    (Closes: #136104)
  * Redirect stderr to /dev/null in cron.monthly. (Closes: #136309)

 -- Ivo Timmermans <ivo@debian.org>  Sun,  3 Mar 2002 18:37:41 +0100

proftpd (1.2.4-2) unstable; urgency=high

  * Fix segfault on ls /////////// (Closes: 125829)

 -- Ivo Timmermans <ivo@debian.org>  Sun, 23 Dec 2001 23:00:43 +0100

proftpd (1.2.4-1) unstable; urgency=low

  * New upstream release
  * Added Russian debconf templates.
    (Closes: #114953, #114954, #114955, #114957)
  * Fixed small error in build script that prevented the German debconf
    templates from being installed.
  * Updated standards version.
  * Make proftpd suggest proftpd-doc instead of recommend.
    (Closes: #113673)
  * Allow two extra digits for total number of bytes sent in the xferstat
    script. (Closes: #107387)
  * Link in mod_wrap. (Closes: #111454)

 -- Ivo Timmermans <ivo@debian.org>  Mon, 22 Oct 2001 01:45:19 +0200

proftpd (1.2.2-1) unstable; urgency=high

  * New upstream release (Closes: #109070):
     - Doesn't use ifdef's inside a printf call.
       (Closes: #104402, #104948)
  * Don't log `No certificates found' message for each connection, only
    print it on startup. (Closes: #103318)
  * Change documentation for HideGroup. (Closes: #106548)
  * Add new directives for proftpd-ldap: LDAPCheckAllow, LDAPCheckDeny,
    LDAPHomedirOnDemandScript

 -- Ivo Timmermans <ivo@debian.org>  Sat, 18 Aug 2001 17:29:31 +0200

proftpd (1.2.1+1.2.2rc3-3) unstable; urgency=low

  * Depend on adduser. (Closes: #102944)
  * Updated the Spanish debconf template. (Closes: #102135)
  * Include genuser.pl and ftpasswd in the proftpd-common package.
    (Closes: #102489)

 -- Ivo Timmermans <ivo@debian.org>  Tue,  3 Jul 2001 01:01:44 +0200

proftpd (1.2.1+1.2.2rc3-2) unstable; urgency=low

  * Added -r to rm -f /var/run/proftpd in postrm.

 -- Ivo Timmermans <ivo@debian.org>  Mon,  2 Jul 2001 00:48:16 +0200

proftpd (1.2.1+1.2.2rc3-1) unstable; urgency=low

  * New upstream release.
  * Applied the TLS patch by Peter Runestig.
  * Included new config.sub and config.guess. (Closes: #99862)
  * Fixed regexp in proftpd.init. (Closes: #98078)

 -- Ivo Timmermans <ivo@debian.org>  Thu, 28 Jun 2001 11:57:49 +0200

proftpd (1.2.1-9) unstable; urgency=low

  * Changed sections now that postgresql is in non-US. (Closes: #97124)
  * Kill any references to /usr/doc and /usr/man from debian/rules.

 -- Ivo Timmermans <ivo@debian.org>  Fri, 11 May 2001 11:16:51 +0200

proftpd (1.2.1-8) unstable; urgency=low

  * Fixed the logic that determines how to handle
    /etc/proftpd.conf. (Closes: #96593)

 -- Ivo Timmermans <ivo@debian.org>  Wed,  9 May 2001 10:57:32 +0200

proftpd (1.2.1-7) unstable; urgency=low

  * Check that /etc/proftpd.conf exists before calculating the md5sum
    (doh).

 -- Ivo Timmermans <ivo@debian.org>  Sun,  6 May 2001 14:06:32 +0200

proftpd (1.2.1-6) unstable; urgency=low

  * Make proftpd-doc suggest proftpd-common. (Closes: #95724)
  * Added tests to see if /etc/proftpd.conf exists. (Closes: #95650)

 -- Ivo Timmermans <ivo@debian.org>  Wed,  2 May 2001 15:09:40 +0200

proftpd (1.2.1-5) unstable; urgency=low

  * Include German debconf templates. (Closes: #93770, #93989)
  * Redirect update-inetd stdout and stdin to /dev/tty.
    (Closes: #93152)
  * Include ftpusers(5) manual page, originally from the ftpd package.
    (Closes: #94348)
  * Automatically generate a proftpd.conf(5) manual page from the file
    doc/Configuration.html; add perl-base to build dependencies.
    (Closes: #65354)

 -- Ivo Timmermans <ivo@debian.org>  Thu, 19 Apr 2001 03:13:02 +0200

proftpd (1.2.1-4) unstable; urgency=low

  * Make proftpd-common and -doc replace proftpd. (Closes: #93230)

