## proftpd 1.2.4+1.2.5rc1-5woody2

=== debian/changelog ===
proftpd (1.2.4+1.2.5rc1-5woody2) stable-security; urgency=high

  * Touch configure in debian/rules so that autoconf doesn't try to
    run automatically

 -- Matt Zimmerman <mdz@debian.org>  Sat, 28 Jun 2003 02:03:58 -0400

proftpd (1.2.4+1.2.5rc1-5woody1) stable-security; urgency=high

  * Non-maintainer upload by the Security Team
  * Properly escape strings in PostgreSQL queries [mod_sql_postgres.c]

 -- Matt Zimmerman <mdz@debian.org>  Thu, 19 Jun 2003 22:42:02 -0400
