=== debian/rules ===
--- 
+++ 
@@ -67,6 +67,7 @@
 
 stampdir/build: stampdir/configure proftpd.conf.5 $(dh_mak_deps) 
 	dh_testdir
+	touch build-tree/$(TAR_DIR)/configure # avoid running autoconf
 	( cd build-tree/$(TAR_DIR)/contrib/libcap && $(MAKE) )  # Build libcap
 	# The -DLINUX bit is cause ./configure doesnt detect alpha
 	( cd build-tree/$(TAR_DIR)/build/pam && $(MAKE) all PLATFORM=-DLINUX )
@@ -213,4 +214,3 @@
 
 tidy:
 	rm -f o *~ debian/*~
-	- cd debian && indent -v mod_mysql.c mod_pgsql.c mod_ratio.c
