=== debian/changelog ===
proftpd (1.3.2c-1) unstable; urgency=low

  * Initial release

 -- Anthony Peacock <peacock73@gmail.com>  Wed,  2 Dec 2009 09:02:46 -0600
