=== debian/control ===
Source: proftpd
Section: user/network
Priority: extra
Maintainer: Anthony Peacock <peacock73@gmail.com>
Build-Depends: debhelper (>= 5), autotools-dev
Standards-Version: 3.7.2

Package: proftpd
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Simple FTP server
 * Simple FTP server fully optified. This package does not
 * Autostart as that can be a security issue. Manual start
 * of the server is required
