## proftpd 1.3.2d-1

=== debian/changelog ===
proftpd (1.3.2d-1) unstable; urgency=low

  * Fix config pathing issue

 -- Anthony Peacock <peacock73@gmail.com>  Wed,  2 Dec 2009 09:02:46 -0600
