=== debian/control ===
--- 
+++ 
@@ -10,5 +10,5 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Simple FTP server
  * Simple FTP server fully optified. This package does not
- * Autostart as that can be a security issue. Manual start
+ * Autostart is off as that can be a security issue. Manual start
  * of the server is required
